View a markdown version of this page

ListRegistrationsFromBrandProfile - AWS End User Messaging

ListRegistrationsFromBrandProfile

Retrieves a paginated list of the registrations that were created from a brand profile through the synchronization operations.

Request Syntax

GET /v1/brand-profiles/brandProfileId/registrations?maxResults=maxResults&nextToken=nextToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

brandProfileId

The unique identifier of the brand profile. You can specify either the bare ID or the full Amazon Resource Name (ARN).

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_:/-]+

Required: Yes

maxResults

The maximum number of results to return per page.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token to retrieve the next page of results. This value is returned when more results are available, and is null when there are no more results to return.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: .+

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "registrationAssociations": [ { "createdAt": number, "registrationId": "string", "registrationType": "string", "smartMatchUsed": boolean } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

The token to retrieve the next page of results. This value is returned when more results are available, and is null when there are no more results to return.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: .+

registrationAssociations

The list of registrations that are associated with the brand profile.

Type: Array of RegistrationAssociationSummary objects

Array Members: Minimum number of 0 items. Maximum number of 100 items.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of the request.

HTTP Status Code: 500

ResourceNotFoundException

The request references a resource that does not exist. Verify that the resource identifier is correct and try your request again.

resourceId

The identifier of the resource that could not be found.

resourceType

The type of the resource that could not be found.

HTTP Status Code: 404

ThrottlingException

The request was denied because it exceeded the allowed request rate.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: